GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
gtpin::GtPredicate Class Reference
GTPin: GEN Architecture

Arguments of the GEN Predicate Mask calculator. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
| GtPredicate ()
| Invalid predicate.
| GtPredicate (const GtReg &flagReg, bool isInverted=false, GtPredCtrl predCtrl=GED_PRED_CTRL_Sequential)
| Constructor.
bool | IsNone () const
| Return true for normal (void) predicate.
bool | IsInverted () const
| Return true, if predicate is inverted.
GtPredCtrl | Ctrl () const
| Return predication control attribute.
GtReg | Reg () const
| Return flag register associated with this predicate.
std::string | ToString () const
| Return string representation.
GtPredicate | operator! () const
| Inversion operator.
bool | operator== (const GtPredicate &other) const
| Comparison operator.
bool | operator< (const GtPredicate &other) const
| Comparison operator.
## Static Public Member Functions
static GtPredicate | MakeNone ()
| Make a predicate that denotes a non-predicated instruction.

## Detailed Description

Arguments of the GEN Predicate Mask calculator.

## Constructor & Destructor Documentation

gtpin::GtPredicate::GtPredicate | ( | const GtReg & | flagReg,
|  | bool | isInverted = `false`,
|  | GtPredCtrl | predCtrl = `GED_PRED_CTRL_Sequential`
| ) |  | `[inline]`

Constructor.

Parameters:

  [in] | flagReg | Flag register that holds the prediacate value
  [in] | isInverted | Attribute that indicates whether the predicate condition is inverted (true), or not (false)
  [in] | predCtrl | Attribute that specifies whether and how the instruction is predicated

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT